summaryrefslogtreecommitdiff
path: root/gui-wm
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2019-05-03 13:32:19 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2019-05-03 13:32:50 -0500
commitb2237050361f024bdcfc656a9ec582defe1ca3b6 (patch)
tree83825fcb6ee2d9c57e0eb75a69a7b61f4f57b771 /gui-wm
parentgui-apps/swayidle: 1.3 bump (diff)
downloadgentoo-b2237050361f024bdcfc656a9ec582defe1ca3b6.tar.gz
gentoo-b2237050361f024bdcfc656a9ec582defe1ca3b6.tar.bz2
gentoo-b2237050361f024bdcfc656a9ec582defe1ca3b6.zip
gui-wm/sway: 1.1_rc1 bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'gui-wm')
-rw-r--r--gui-wm/sway/Manifest1
-rw-r--r--gui-wm/sway/sway-1.1_rc1.ebuild112
-rw-r--r--gui-wm/sway/sway-9999.ebuild2
3 files changed, 114 insertions, 1 deletions
diff --git a/gui-wm/sway/Manifest b/gui-wm/sway/Manifest
index ec3c60f5c07..a902eb45671 100644
--- a/gui-wm/sway/Manifest
+++ b/gui-wm/sway/Manifest
@@ -1,2 +1,3 @@
DIST sway-1.0.tar.gz 5474548 BLAKE2B bea0a72c374b75f027e466d83e8c06abe32205e0cda80776b0e48e327a6da4e965a6a575595e5a38bcb125294c509b5d9a1db17604dd9e9032acef404366bdb9 SHA512 57e2610244c8bcd2b09bb5396113176d118ee5a0688aea297d4c191eda70ce29b36ff64e05c57d1a32a31cc4f2ac2562fd3cb3890508a8f3c7cbcb9fb017171d
DIST sway-1.0_rc5.tar.gz 5472917 BLAKE2B 33e01bd0da0a90ff7c09b9af0ebf9f9263be3789390777ee207d2e4297a55d79d4cc7fea28aab121820fffd3447f76d9af60a9c118e541f0ff85ffe9dc17ae48 SHA512 26eb5625e1f940a1705f2d675587ce142a7b07206187c851660bf1c405e9a76c0cc20cf616d471170578f50dae2fc322b504df1ea3ef722fc5992dd9803de8fb
+DIST sway-1.1_rc1.tar.gz 5480597 BLAKE2B daac1d97c5bef1a0763942c9af25d1bb6a05fb274ccaf1b889f07b1aea554ae61f8358acadb9e732d1189a6a2041fc89fe6a443d0a912577b42c448fabbedd20 SHA512 6004673b073c69858e1ed58b5464a627248fb42768ce4fe0152723309244d5389d61dbed43ccf29b0a86e8eeed5e2c95d9fbdbe9b887b288d28030b35567cd71
diff --git a/gui-wm/sway/sway-1.1_rc1.ebuild b/gui-wm/sway/sway-1.1_rc1.ebuild
new file mode 100644
index 00000000000..5293b993a7d
--- /dev/null
+++ b/gui-wm/sway/sway-1.1_rc1.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils meson
+
+DESCRIPTION="i3-compatible Wayland window manager"
+HOMEPAGE="https://swaywm.org"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/swaywm/${PN}.git"
+else
+ MY_PV=${PV/_rc/-rc}
+ SRC_URI="https://github.com/swaywm/${PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~x86"
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="elogind fish-completion +man +swaybar +swaybg +swayidle +swaylock +swaymsg +swaynag systemd tray wallpapers X zsh-completion"
+REQUIRED_USE="?? ( elogind systemd )
+ tray? ( || ( elogind systemd ) )"
+
+DEPEND="
+ >=dev-libs/json-c-0.13:0=
+ >=dev-libs/libinput-1.6.0:0=
+ dev-libs/libpcre
+ dev-libs/wayland
+ x11-libs/cairo
+ x11-libs/libxkbcommon
+ x11-libs/pango
+ x11-libs/pixman
+ elogind? ( >=sys-auth/elogind-239 )
+ swaybar? ( x11-libs/gdk-pixbuf:2 )
+ swaybg? ( gui-apps/swaybg )
+ swayidle? ( gui-apps/swayidle )
+ swaylock? ( gui-apps/swaylock )
+ systemd? ( >=sys-apps/systemd-239 )
+ X? ( x11-libs/libxcb:0= )
+"
+if [[ ${PV} == 9999 ]]; then
+ DEPEND+="~gui-libs/wlroots-9999[elogind=,systemd=,X=]"
+else
+ DEPEND+=">=gui-libs/wlroots-0.6.0[elogind=,systemd=,X=]"
+fi
+RDEPEND="
+ x11-misc/xkeyboard-config
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-libs/wayland-protocols-1.14
+ virtual/pkgconfig
+"
+if [[ ${PV} == 9999 ]]; then
+ BDEPEND+="man? ( ~app-text/scdoc-9999 )"
+else
+ BDEPEND+="man? ( >=app-text/scdoc-1.9.3 )"
+fi
+
+src_prepare() {
+ default
+
+ use swaybar || sed -e "s/subdir('swaybar')//g" -e "/sway-bar.[0-9].scd/d" \
+ -e "/completions\/[a-z]\+\/_\?swaybar/d" -i meson.build || die
+ use swaymsg || sed -e "s/subdir('swaymsg')//g" -e "/swaymsg.[0-9].scd/d" \
+ -e "/completions\/[a-z]\+\/_\?swaymsg/d" -i meson.build || die
+ use swaynag || sed -e "s/subdir('swaynag')//g" -e "/swaynag.[0-9].scd/d" \
+ -e "/completions\/[a-z]\+\/_\?swaynag/d" -i meson.build || die
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dman-pages=$(usex man enabled disabled)
+ -Dtray=$(usex tray enabled disabled)
+ -Dxwayland=$(usex X enabled disabled)
+ $(meson_use wallpapers default-wallpaper)
+ $(meson_use fish-completion fish-completions)
+ $(meson_use zsh-completion zsh-completions)
+ "-Dbash-completions=true"
+ "-Dwerror=false"
+ )
+
+ if use swaybar; then
+ emesonargs+=("-Dgdk-pixbuf=enabled")
+ else
+ emesonargs+=("-Dgdk-pixbuf=disabled")
+ fi
+
+ meson_src_configure
+}
+
+pkg_preinst() {
+ if ! use systemd && ! use elogind; then
+ fowners root:0 /usr/bin/sway
+ fperms 4511 /usr/bin/sway
+ fi
+}
+
+pkg_postinst() {
+ if ! use systemd && ! use elogind; then
+ elog ""
+ elog "If you use ConsoleKit2, remember to launch sway using:"
+ elog "exec ck-launch-session sway"
+ elog ""
+ elog "If your system does not set the XDG_RUNTIME_DIR environment"
+ elog "variable, you must set it manually to run Sway. See wiki"
+ elog "for details: https://wiki.gentoo.org/wiki/Sway"
+ fi
+}
diff --git a/gui-wm/sway/sway-9999.ebuild b/gui-wm/sway/sway-9999.ebuild
index 1c81b332323..5293b993a7d 100644
--- a/gui-wm/sway/sway-9999.ebuild
+++ b/gui-wm/sway/sway-9999.ebuild
@@ -14,7 +14,7 @@ if [[ ${PV} == 9999 ]]; then
else
MY_PV=${PV/_rc/-rc}
SRC_URI="https://github.com/swaywm/${PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
+ KEYWORDS="~amd64 ~arm64 ~x86"
S="${WORKDIR}/${PN}-${MY_PV}"
fi